Package org.pushingpixels.substance.internal.utils.menu

# Class MenuUtilities.MenuPropertyListener

java.lang.Object
org.pushingpixels.substance.internal.utils.menu.MenuUtilities.MenuPropertyListener

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  `MenuUtilities`

public static class MenuUtilities.MenuPropertyListener extends Object implements PropertyChangeListener
Listener to track changes in the menu items. Once any property has been changed, the popup layout metrics on the menu item and its parent popup menu are cleared.

## Constructor Summary

Constructors
Constructor
Description
`MenuPropertyListener(JMenuItem menuItem)`
Creates a new listener.

## Method Summary

Modifier and Type
Method
Description
`void`
`install()`
Installs the property change listener on the associated menu item.
`void`
`propertyChange(PropertyChangeEvent evt)`
`void`
`uninstall()`
Uninstalls the property change listener from the associated menu item.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MenuPropertyListener

public MenuPropertyListener(JMenuItem menuItem)
Creates a new listener.

Parameters:
  `menuItem` - Menu item.

## Method Details

### install

public void install()
Installs the property change listener on the associated menu item.

### uninstall

public void uninstall()
Uninstalls the property change listener from the associated menu item.

### propertyChange

public void propertyChange(PropertyChangeEvent evt)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`